summaryrefslogtreecommitdiff
path: root/opie-taskbar
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /opie-taskbar
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'opie-taskbar')
-rw-r--r--opie-taskbar/opie-taskbar/beagle/opie99
-rw-r--r--opie-taskbar/opie-taskbar/nomax.patch30
-rw-r--r--opie-taskbar/opie-taskbar/opie-reorgfiles93
-rw-r--r--opie-taskbar/opie-taskbar/ramses/opie88
4 files changed, 310 insertions, 0 deletions
diff --git a/opie-taskbar/opie-taskbar/beagle/opie b/opie-taskbar/opie-taskbar/beagle/opie
index e69de29bb2..010f931697 100644
--- a/opie-taskbar/opie-taskbar/beagle/opie
+++ b/opie-taskbar/opie-taskbar/beagle/opie
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+[ -z $LOGNAME ] && export LOGNAME=root && export HOME=/root
+[ -z $HOME ] && export HOME=/$LOGNAME
+
+export QTDIR=/opt/QtPalmtop
+export OPIEDIR=/opt/QtPalmtop
+export QPEDIR=/opt/QtPalmtop
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$OPIEDIR/lib
+export PATH=$PATH:$OPIEDIR/bin
+# FIXME: add check for qt version here. the statement above applies to qt >=2.3.9
+# export QWS_KEYBOARD=KernelTTY
+
+if [ -e /proc/cpuinfo ] ; then
+ model=`grep "^Hardware" /proc/cpuinfo | sed -e "s/.*: *//" | tr a-z A-Z`
+
+ case "$model" in
+ "HP IPAQ H3100" | "HP IPAQ H3800" )
+ export QWS_DISPLAY=Transformed:Rot90:0 ;;
+ "HP IPAQ H5400" | "HP JORNADA 56X" | "HP IPAQ H2200" | "SHARP Tosa" )
+ export QWS_DISPLAY=Transformed:Rot0:0 ;;
+ *SIMPAD* )
+ export QWS_KEYBOARD='SIMpad'
+ export QWS_DISPLAY=Transformed:Rot0:0 ;;
+
+ *)
+ export QWS_DISPLAY=Transformed:Rot270:0 ;;
+ esac
+else
+ export QWS_DISPLAY=Transformed:Rot270:0
+fi
+
+if [ ! -x "$OPIEDIR/bin/qpe" ] ; then
+ echo Opie not installed
+ exit 0
+fi
+
+. /etc/profile
+
+
+# beagle hack? make it a package?
+if [ ! -e "/home/root" ] ; then
+ mkdir /home/root
+fi
+
+if [ ! -e "$HOME/Settings/qpe.conf" ] ; then
+ echo "Copying default qpe.conf into $HOME/Settings/"
+ mkdir -p $HOME/Settings/
+ cat $OPIEDIR/etc/skel/qpe.conf >$HOME/Settings/qpe.conf
+fi
+
+if [ ! -e "$HOME/Settings/locale.conf" -a -e "$OPIEDIR/etc/skel/locale.conf" ] ; then
+ cat $OPIEDIR/etc/skel/locale.conf >$HOME/Settings/locale.conf
+fi
+
+case $1 in
+'start')
+ /sbin/getkey 5 "Starting Opie in 5 seconds... press key to interrupt." && exit 0
+
+ if [ -x "$OPIEDIR/bin/opie-login" ]; then
+ echo Starting Opie-login....
+ $OPIEDIR/bin/opie-login -terminal 2
+ else
+ $OPIEDIR/bin/opie-reorgfiles
+ if [ -x /usr/bin/ssh-agent ]; then
+ SSHAGENT=/usr/bin/ssh-agent
+ else
+ SSHAGENT=""
+ fi
+
+ if [ -x "$OPIEDIR/bin/opie-sh-ssh-askpass.sh" ]; then
+ export SSH_ASKPASS=$OPIEDIR/bin/opie-sh-ssh-askpass.sh
+ fi
+ echo Starting Opie....
+ $SSHAGENT $OPIEDIR/bin/qpe -terminal 2
+ fi
+
+ ;;
+
+'stop')
+ echo "Stopping Opie..."
+ killall qpe
+ killall opie-login
+ killall quicklauncher
+
+ ;;
+
+'restart')
+ $0 stop && $0 start
+
+ ;;
+
+*)
+ echo "usage: $0 { start | stop | restart }"
+
+ ;;
+
+esac
+
diff --git a/opie-taskbar/opie-taskbar/nomax.patch b/opie-taskbar/opie-taskbar/nomax.patch
index e69de29bb2..468038b377 100644
--- a/opie-taskbar/opie-taskbar/nomax.patch
+++ b/opie-taskbar/opie-taskbar/nomax.patch
@@ -0,0 +1,30 @@
+--- opie-x86/core/launcher/server.cpp~nomax
++++ opie-x86/core/launcher/server.cpp
+@@ -76,7 +76,7 @@
+ return 0;
+ #endif
+ }
+-
++#ifndef OPIE_NO_WINDOWED
+ #define FACTORY(T) \
+ static QWidget *new##T( bool maximized ) { \
+ QWidget *w = new T( 0, 0, QWidget::WDestructiveClose | QWidget::WGroupLeader ); \
+@@ -90,7 +90,18 @@
+ w->show(); \
+ return w; \
+ }
++#else
++#define FACTORY(T) \
++ static QWidget *new##T( bool maximized ) { \
++ QWidget *w = new T( 0, 0, QWidget::WDestructiveClose | QWidget::WGroupLeader ); \
++ if ( maximized ) { \
++ w->showMaximized(); \
++} \
++ w->show(); \
++ return w; \
++}
+
++#endif
+
+ #ifdef SINGLE_APP
+ #define APP(a,b,c,d) FACTORY(b)
diff --git a/opie-taskbar/opie-taskbar/opie-reorgfiles b/opie-taskbar/opie-taskbar/opie-reorgfiles
index e69de29bb2..96b3e29da4 100644
--- a/opie-taskbar/opie-taskbar/opie-reorgfiles
+++ b/opie-taskbar/opie-taskbar/opie-reorgfiles
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+APPS=$HOME/Applications
+DOCS=$HOME/Documents
+
+if [ -d $APPS -a "$1" != "-f" ]
+then
+ echo "You seem to already have a $APPS directory."
+ echo "Assuming it is the Opie Applications directory. Exiting."
+ exit 0
+fi
+
+if [ -d $HOME/Apps ]
+then
+ mv $HOME/Apps $APPS
+else
+ mkdir $APPS
+fi
+
+if [ -f $DOCS/addressbook.xml ]
+then
+ if [ -f $APPS/addressbook/addressbook.xml ]
+ then
+ echo "$DOCS/addressbook.xml conflicts with $APPS/addressbook/addressbook.xml"
+ echo "Moving $DOCS/addressbook.xml to $HOME"
+ mv $DOCS/addressbook.xml $HOME
+ else
+ mkdir $APPS/addressbook
+ mv $DOCS/addressbook.xml $APPS/addressbook
+ fi
+fi
+
+if [ -f $DOCS/datebooksettings.xml ]
+then
+ echo "$DOCS/datebooksettings.xml is obsolete"
+ echo "Please re-set your datebook preferences"
+ rm $DOCS/datebooksettings.xml
+fi
+
+if [ -f $DOCS/datebook.xml ]
+then
+ mkdir $APPS/databook
+ mv $DOCS/datebook.xml $APPS/databook
+fi
+
+if [ -d $DOCS/qtmail ]
+then
+ mv $DOCS/qtmail $APPS/
+fi
+
+if [ -f $DOCS/todo.xml ]
+then
+ if [ -f $APPS/todolist/todolist.xml ]
+ then
+ mv $DOCS/todo.xml $HOME
+ echo "$DOCS/todo.xml is superceded by $APPS/todolist/todolist.xml"
+ echo "$DOCS/todo.xml has been moved to $HOME"
+ else
+ echo "NOTE: $DOCS/todo.xml is obsolete. It will move to $APPS/todolist/todolist.xml"
+ echo "when next you run the latest ToDo application."
+ fi
+fi
+
+if [ ! -d $APPS/qimpen ]
+then
+ mkdir $APPS/qimpen
+fi
+
+if [ -f $DOCS/asciilower.qpt ]
+then
+ mv $DOCS/asciilower.qpt $APPS/qimpen
+fi
+
+if [ -f $DOCS/asciiupper.qpt ]
+then
+ mv $DOCS/asciiupper.qpt $APPS/qimpen
+fi
+
+if [ -f $DOCS/numeric.qpt ]
+then
+ mv $DOCS/numeric.qpt $APPS/qimpen
+fi
+
+if [ -d "$HOME/.qpe" ]
+then
+ if [ -d "$HOME/Settings" ]
+ then
+ mv $HOME/.qpe/* "$HOME/Settings"
+ rmdir "$HOME/.qpe"
+ else
+ mv $HOME/.qpe "$HOME/Settings"
+ fi
+fi
diff --git a/opie-taskbar/opie-taskbar/ramses/opie b/opie-taskbar/opie-taskbar/ramses/opie
index e69de29bb2..ceb872e0ac 100644
--- a/opie-taskbar/opie-taskbar/ramses/opie
+++ b/opie-taskbar/opie-taskbar/ramses/opie
@@ -0,0 +1,88 @@
+#!/bin/sh
+#
+
+[ -z $LOGNAME ] && export LOGNAME=root && export HOME=/root
+[ -z $HOME ] && export HOME=/$LOGNAME
+
+export QTDIR=/opt/QtPalmtop
+export OPIEDIR=/opt/QtPalmtop
+export QPEDIR=/opt/QtPalmtop
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$OPIEDIR/lib
+export PATH=$PATH:$OPIEDIR/bin
+
+if [ -e /proc/cpuinfo ] ; then
+ model=`grep "^Hardware" /proc/cpuinfo | sed -e "s/.*: *//" | tr a-z A-Z`
+
+ case "$model" in
+ "HP IPAQ H3100" | "HP IPAQ H3800" )
+ QWS_DISPLAY=Transformed:Rot90:0 ;;
+ "HP IPAQ H5400" | "HP JORNADA 56X" | "HP IPAQ H2200" | "SHARP Tosa")
+ QWS_DISPLAY=Transformed:Rot0:0 ;;
+ *SIMPAD* )
+ QWS_KEYBOARD='SIMpad'
+ QWS_DISPLAY=Transformed:Rot0:0 ;;
+ RAMSES )
+ # already set based on /proc/sys/board/lcd_type
+ test -z "$QWS_DISPLAY" && QWS_DISPLAY=Transformed:Rot90:0
+ ;;
+ *)
+ QWS_DISPLAY=Transformed:Rot270:0 ;;
+ esac
+else
+ QWS_DISPLAY=Transformed:Rot270:0
+fi
+export QWS_DISPLAY
+
+if [ ! -x $OPIEDIR/bin/qpe ] ; then
+ echo Opie not installed
+ exit 0
+fi
+
+. /etc/profile
+
+case $1 in
+'start')
+ cd $HOME
+ rm -f /etc/rc2.d/S99x # Can't have both running!
+
+ if [ -x $OPIEDIR/bin/opie-login ]; then
+ if ! killall -0 syslogd 2>/dev/null >/dev/null; then
+ echo Starting Opie-login....
+ $OPIEDIR/bin/opie-login 2>/dev/null >/dev/null &
+ else
+ echo Starting Opie-login with syslog logging.....
+ ( $OPIEDIR/bin/opie-login 2>&1 | logger ) &
+ fi
+ else
+ $OPIEDIR/bin/opie-reorgfiles
+ if [ -x /usr/bin/ssh-agent ]; then
+ SSHAGENT=/usr/bin/ssh-agent
+ else
+ SSHAGENT=""
+ fi
+
+ if [ -x $OPIEDIR/bin/opie-sh-ssh-askpass.sh ]; then
+ export SSH_ASKPASS=$OPIEDIR/bin/opie-sh-ssh-askpass.sh
+ fi
+
+ if ! killall -0 syslogd 2>/dev/null >/dev/null; then
+ echo Starting Opie....
+ $SSHAGENT $OPIEDIR/bin/qpe 2>/dev/null >/dev/null &
+ else
+ echo Starting Opie with syslog logging.....
+ ( $SSHAGENT $OPIEDIR/bin/qpe 2>&1 | logger ) &
+ fi
+ fi
+ ;;
+
+'stop')
+ echo "Killing Opie..."
+ killall qpe
+ killall opie-login
+ ;;
+
+*)
+ echo "usage: $0 { start | stop }"
+ ;;
+
+esac